const express = require('express');
const { ttPay } = require('../../ttpay');
const app = express();
const port = 3000;

app.post('/createOrder', async (req, res) => {
	const cashdeskParams = await ttPay({
		appId: '800000040005',
		merchantId: '1300000004',
		alipayUrl:
			'alipay_sdk=alipay-sdk-java-3.4.27.ALL&app_id=2018061460417275&biz_content=%7B%22body%22%3A%22%E6%B5%8B%E8%AF%95%E8%AE%A2%E5%8D%95%22%2C%22extend_params%22%3A%7B%7D%2C%22out_trade_no%22%3A%2211907190002688456134%22%2C%22product_code%22%3A%22QUICK_MSECURITY_PAY%22%2C%22seller_id%22%3A%222088721387102560%22%2C%22subject%22%3A%22%E6%B5%8B%E8%AF%95%E8%AE%A2%E5%8D%95%22%2C%22timeout_express%22%3A%22599m%22%2C%22total_amount%22%3A%220.01%22%7D&charset=utf-8&format=json&method=alipay.trade.app.pay&notify_url=https%3A%2F%2Fapi-cpc.snssdk.com%2Fgateway%2Fpayment%2Fcallback%2Falipay%2Fnotify%2Fpay&sign=sN0TBnsOg5mXAwPGjvxw6lV7v3Upl1BAwj6CydgzmJUZUglqI7luKMbrG0QW5TQUbE6LrstEfmFjdllXzj17JIS3YsaQk0z1WwILipHybR2siP7fQY8qpTUt9vI3IuNb2nYf7TtUg7NBQSMUfbNKcL2mwYEZRxY0HypDHxhk7wJnNkollu5hUXTTgwmdZmy60r2%2BNRJLIQ6QOW737Syq2WVR1x7XUP10PVw%2B2Pn0oWex20tQVnBbroNtX%2BgvPSetFWjZNPSY7AroueVMmXkcNCoawGg5rSxiEW9%2Fpflsd9dHklvSLeYmbzkrk%2FRgcENcjU29ne4%2FMqHIxAaMT9Esjg%3D%3D&sign_type=RSA2&timestamp=2019-07-19+12%3A43%3A44&version=1.0',
		wxUrl:
			'https://wx.tenpay.com/cgi-bin/mmpayweb-bin/checkmweb?prepay_id=wx19124344335292c0c886edc01971959000&package=2612935109',
		outOrderNo: 'MicroApp' + Math.floor(Math.random() * 10000000000), // 商户侧订单号
		timestamp: new Date().getTime(), // 时间戳，秒
		totalAmount: 1, // 金额，单位为分
		uid: '2019012211', // 用户标识
		subject: 'microapp test', //商户订单名称
		body: 'microapp test', //商户订单详情
		tradeTime: Math.floor(new Date().getTime() / 1000) + '',
		validTime: 36000000,
		notifyUrl: `http://tp-pay.snssdk.com/cashdesk/test/paycallback`,
		appSecret: 'CaiJingQianBaoTongYiCeShi',
		appletVersion: '3.0',
	});

	res.json(cashdeskParams);
});

app.listen(port, () => console.log(`Example app listening on port ${port}!`));
